---
image: "registry.gitlab.com/\
  gitlab-dojo/gitlab-core-oss/\
  monorepo-devops-template/gitpod-ide:latest"

vscode:
  extensions:
    - ms-azuretools.vscode-docker
    - davidanson.vscode-markdownlint
    - eamodio.gitlens
    - vscjava.vscode-java-pack
    - github.vscode-pull-request-github
    - vscjava.vscode-maven
    - vscjava.vscode-java-test
    - hbenl.vscode-test-explorer
    - vscjava.vscode-java-dependency
    - redhat.fabric8-analytics
    - vscjava.vscode-java-debug
    - hbenl.test-adapter-converter
    - redhat.java
    - redhat.vscode-commons

tasks:
  - name: pre-commit
    init: |
      export PIP_USER=false
      pre-commit install
      pre-commit install-hooks
      clear
      pre-commit run -a
